> For the complete documentation index, see [llms.txt](https://docs.cortecs.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cortecs.ai/api-overview/models.md).

# Models

## Retrieve all available models

> This endpoint retrieves information about all available models.

```json
{"openapi":"3.0.0","info":{"title":"Cortecs Model API","version":"1.0.0"},"servers":[{"url":"https://api.cortecs.ai/v1"}],"paths":{"/models":{"get":{"summary":"Retrieve all available models","description":"This endpoint retrieves information about all available models.","parameters":[{"name":"tag","in":"query","description":"One or more tags to filter by (defaults to ['Instruct'])","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"currency","in":"query","description":"ISO currency code for pricing conversion (defaults to 'EUR')","required":false,"schema":{"type":"string","default":"EUR"}}],"responses":{"200":{"description":"A list of available models","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Models"}}}},"500":{"description":"Internal server error"}}}}},"components":{"schemas":{"Models":{"type":"object","required":["object","data"],"properties":{"object":{"type":"string"},"data":{"type":"array","items":{"type":"object","required":["id","object","created","owned_by","pricing","providers"],"properties":{"id":{"type":"string"},"object":{"type":"string"},"created":{"type":"integer"},"owned_by":{"type":"string"},"description":{"type":"string","nullable":true},"pricing":{"type":"object","description":"Pricing details. The cost numbers represent the minimums based on the cheapest provider available for this model.","required":["input_token","output_token","currency"],"properties":{"input_token":{"type":"number","description":"Input token cost per 1M tokens"},"output_token":{"type":"number","description":"Output token cost per 1M tokens"},"audio_cost":{"type":"number","description":"Audio cost per second (if supported)"},"cache_read_cost":{"type":"number","description":"Cache read cost per 1M tokens (if supported)"},"cache_write_cost":{"type":"number","description":"Cache write cost per 1M tokens (if supported)"},"currency":{"type":"string","description":"The currency of the prices (e.g. EUR, USD)"}}},"providers":{"type":"array","items":{"type":"string"}},"context_size":{"type":"integer","description":"The context size of the cheapest provider available for this model.","nullable":true},"tags":{"type":"array","items":{"type":"string"},"nullable":true},"model_series":{"type":"array","items":{"type":"string"},"nullable":true}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cortecs.ai/api-overview/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
